## ros-kinetic-phm-start 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(phm_start)

find_package(catkin REQUIRED COMPONENTS
  rospy
  std_msgs
  roslint
  rostest
  rosunit
)

catkin_python_setup()

catkin_package(CATKIN_DEPENDS rospy std_msgs rostest )

include_directories(
  ${catkin_INCLUDE_DIRS}
)


foreach(dir launch src)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

#catkin_add_nosetests(test/test_phm__node.py)
#catkin_add_nosetests(test/test_phm__node.py)

=== debian/changelog ===
ros-kinetic-phm-start (1.0.1-1xenial) xenial; urgency=high

  * Updated module delete function in monitoring tab

 -- Hakan GENCTURK <hakan.gencturk@inovasyonmuhendislik.com>  Thu, 09 Jul 2020 21:00:00 -0000

ros-kinetic-phm-start (1.0.0-1xenial) xenial; urgency=high

  * First full release

 -- Hakan GENCTURK <hakan.gencturk@inovasyonmuhendislik.com>  Thu, 09 Jul 2020 21:00:00 -0000

ros-kinetic-phm-start (0.1.0-1xenial) xenial; urgency=high

  * 0.1.0
  * Updated
  * Updated
  * Updated
  * Updated
  * Updated License
  * Demo Commit
  * Contributors: HakanGENCTURK

 -- Hakan GENCTURK <hakan.gencturk@inovasyonmuhendislik.com>  Thu, 09 Jul 2020 21:00:00 -0000

=== debian/control ===
Source: ros-kinetic-phm-start
Section: misc
Priority: optional
Maintainer: Hakan GENCTURK <hakan.gencturk@inovasyonmuhendislik.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslint, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-phm-start
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-std-msgs
Description: The phm_start package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-phm-start//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
